import request from '@/utils/request'

// 查询配送单履历列表
export function listDeliveryOrderOper(query) {
  return request({
    url: '/system/deliveryOrderOper/list',
    method: 'get',
    params: query
  })
}

// 查询配送单履历详细
export function getDeliveryOrderOper(operId) {
  return request({
    url: '/system/deliveryOrderOper/' + operId,
    method: 'get'
  })
}

// 新增配送单履历
export function addDeliveryOrderOper(data) {
  return request({
    url: '/system/deliveryOrderOper',
    method: 'post',
    data: data
  })
}

// 修改配送单履历
export function updateDeliveryOrderOper(data) {
  return request({
    url: '/system/deliveryOrderOper',
    method: 'put',
    data: data
  })
}

// 删除配送单履历
export function delDeliveryOrderOper(operId) {
  return request({
    url: '/system/deliveryOrderOper/' + operId,
    method: 'delete'
  })
}
